> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer Instrumentals Swap API | Google Lyria 3 Documentation

> Use the Google Lyria 3 / Producer Instrumentals Swap API to replace backing tracks while preserving the core song idea.



## OpenAPI

````yaml openapi/en/producer.json POST /producer/v1/instrumentals-swap
openapi: 3.1.0
info:
  title: Producer API DOCS
  version: 1.0.0
  description: TTAPI Producer API service
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /producer/v1/instrumentals-swap:
    post:
      description: Create an instrumental cover of the generated audio
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CoverRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    CoverRequest:
      type: object
      properties:
        music_id:
          type: string
          description: Parent task's musicId
        sound_prompt:
          type: string
          description: Audio prompt, sound_prompt and lyrics_text cannot both be empty
        lyrics_text:
          type: string
          description: Lyrics text, sound_prompt and lyrics_text cannot both be empty
        instrumental:
          type: boolean
          description: Whether to generate pure music
          default: 'false'
        mv:
          type: string
          default: FUZZ-2.0
          enum:
            - FUZZ-2.0 Pro
            - FUZZ-2.0
            - FUZZ-2.0 Raw
            - FUZZ-1.1 Pro
            - FUZZ-1.0 Pro
            - FUZZ-1.0
            - FUZZ-1.1
            - FUZZ-0.8
            - Lyria 3 preview
          description: Model to use, supported options listed above
        title:
          type: string
          description: Title
        cover_art_url:
          type: string
          description: Cover URL
        seed:
          type: string
          description: Random seed
        lyrics_strength:
          type: number
          description: Lyrics strength, optional 0-1
          default: '0.5'
        sound_strength:
          type: number
          description: Audio prompt strength, optional 0.2-1
          default: '0.5'
        weirdness:
          type: number
          description: Style weirdness, optional 0-1
          default: '0.5'
        is_storage:
          type: boolean
          description: Whether to save
          default: 'false'
        hook_url:
          type: string
          description: >-
            Callback notification URL. The data returned is consistent with the
            task result query response
      required:
        - music_id
        - sound_prompt
        - lyrics_text
  responses:
    SuccessResponse:
      description: Request successful
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: jobId
            required:
              - status
              - message
              - data
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````